NROFF(1)

NAME
nroff - text formatting

SYNOPSIS
nroff [ option ] ... [ file ] ...

DESCRIPTION
Nroff formats text in the named files for typewriter-like devices. See also troff(1). The full capabilities of nroff are described in the Nroff/Troff User's Manual.

If no file argument is present, the standard input is read. An argument consisting of a single minus (-) is taken to be a file name corresponding to the standard input.

The options, which may appear in any order so long as they appear before the files, are:

-olist
    Print only pages whose page numbers appear in the comma-separated list of numbers and ranges. A range N-M means pages N through M; an initial -N means from the beginning to page N; and a final N- means from N to the end.

-nN Number first generated page N.

-sN Stop every N pages. Nroff will halt prior to every N pages (default N=1) to allow paper loading or changing, and will resume upon receipt of a newline.

-mname
    Prepend the macro file /usr/lib/tmac/tmac.name to the input files.

-raN
    Set register a (one-character) to N.

-i  Read standard input after the input files are exhausted.

-q  Invoke the simultaneous input-output mode of the rd request.

-Tname
    Prepare output for specified terminal. Known names are 37 for the (default) Teletype Corporation Model 37 terminal, tn300 for the GE TermiNet 300 (or any terminal without half-line capability), 300S for the DASI-300S, 300 for the DASI-300, and 450 for the DASI-450 (Diablo Hyterm).

-e  Produce equally-spaced words in adjusted lines, using full terminal resolution.

-h  Use output tabs during horizontal spacing to speed output and reduce output character count. Tab settings are assumed to be every 8 nominal character widths.

FILES
/tmp/ta*    temporary file
/usr/lib/tmac/tmac.*    standard macro files
/usr/lib/term/*    terminal driving tables for
nroff

SEE ALSO
J. F. Ossanna, Nroff/Troff user's manual
B. W. Kernighan, A TROFF Tutorial
troff(1), eqn(1), tbl(1), ms(7), me(7), man(7), col(1)